package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesThirdPartyDbCollectDataRecord;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/18 11:22 上午
 * @Description:
 **/
public interface ISxThirdPartyDbCollectDataRecordService {

    /**
     * 第三方DB数据采集定时任务执行记录
     * @param organizeCode 组织代码
     * @param userInfo 操作人
     * @param record 记录
     */
    @ApiOperation(value = "第三方DB数据采集定时任务执行记录", notes = "第三方DB数据采集定时任务执行记录")
    @Transactional(propagation = Propagation.REQUIRES_NEW, noRollbackFor = {ImppBusiException.class, Exception.class})
    void exec(String organizeCode, String userInfo, MesThirdPartyDbCollectDataRecord record);

}
